"""This is a module providing a function print_lol to print unknown levels of lists"""

def print_lol (the_list, level):
        """Check if each item in the list is a list. Argument 'level' is used to insert tabs when a nested list is encountered."""
        
        for each_item in the_list:
                if isinstance(each_item, list):
                        print_lol (each_item, level+1)
                else:
                        for tab_stop in range(level):
                                print ("\t", end=' ')
                        print (each_item)
